Skip to navigation

Process Payments

Process payments for an order. See Payment Processing for more information.

Authentication

AuthorizationBearer

OAuth scopes

The required scopes are granted to the payment_access_token upon generation.

Authentication header

HeaderArgumentDescription
AuthorizationPAT {{PAYMENT_ACCESS_TOKEN}}Obtained using the Create Access Token endpoint.

Further reading

For an outline of the Process Payment API call flow and more information about authenticating, see Authentication and Example Requests.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptenumRequiredDefaults to application/vnd.bc.v1+json

This required value must be application/vnd.bc.v1+json.

Allowed values:

Request

This endpoint expects an object.
paymentobjectRequired

Response

Payment has been successfully processed
idstringOptional
Identifier for this transaction
transaction_typeenumOptional
Transaction type for this payment
Allowed values:
statusenumOptional
Status to indicate a success response
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error